microsoft-foundry.rest.security.o-auth2-auth
Indexes
Create or update a version
PATCH
/indexes/{name}/versions/{version}
Create a new or update an existing Index with the given version id
Sorgu parametreleri
api-version
string
gerekli
The API version to use for this operation.
Yol parametreleri
name
string
gerekli
The name of the resource
version
string
gerekli
The specific version id of the Index to create or update.
İstek Gövdesi
The Index to create or update.
Content-Type: application/merge-patch+json
Aşağıdakilerden biri:
AzureSearch
AzureAISearchIndexUpdate
Azure AI Search Index Definition
type
enum
gerekli
Type of index
AzureSearch
ManagedAzureSearch
ManagedAzureAISearchIndexUpdate
Managed Azure AI Search Index Definition
type
enum
gerekli
Type of index
ManagedAzureSearch
CosmosDBNoSqlVectorStore
CosmosDBIndexUpdate
CosmosDB Vector Store Index Definition
type
enum
gerekli
Type of index
CosmosDBNoSqlVectorStore
Yanıtlar
The request has succeeded.
Gövde
Content-Type: application/json
Aşağıdakilerden biri:
AzureSearch
AzureAISearchIndex
Azure AI Search Index Definition
type
enum
gerekli
Type of index
AzureSearch
ManagedAzureSearch
ManagedAzureAISearchIndex
Managed Azure AI Search Index Definition
type
enum
gerekli
Type of index
ManagedAzureSearch
CosmosDBNoSqlVectorStore
CosmosDBIndex
CosmosDB Vector Store Index Definition
type
enum
gerekli
Type of index
CosmosDBNoSqlVectorStore
İstek
PATCH /indexes/{name}/versions/{version} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json